DSET(8)

NAME
dset - update the boot file to the current configuration

SYNOPSIS
dset [-vqt]

DESCRIPTION
Dset records the configuration changes for ISA devices that have been made from UserConfig after booting with the -c option. The changes (if any) are recorded to the file name returned by getbootfile(3). Dset is typically called from within /etc/rc.

Dset understands the following options:
-v  Verbose; tell what is being done.
-q  Quiet; don't print any error messages.
-t  Test only; don't actually record any changes to the boot file, print only what would have been done. This implies -v.

DIAGNOSTICS
The dset utility exits with status 0 on success, or with status 1 if any problem occured. Unless -q has been specified, a short message hinting to the cause of the problem will be printed to standard error output.

SEE ALSO
getbootfile(3), boot_i386(8), rc(8)

HISTORY
The dset command appeared in FreeBSD 2.0.5.